Create a new project
POST
/api/v1/projects
const url = 'https://api.yggy.tech/api/v1/projects';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","slug":"example","color":"gray"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "slug": "example", "color": "gray" }'Create a new project within the active organization. Projects organize workloads and isolate tokens and integrations.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ” Media type application/json
object
name
required
Project name
string
slug
required
Project slug (used in URLs)
string
color
Project color preset (auto-assigned if omitted)
string
Responses
Section titled “ Responses ”Project created successfully
Media type application/json
object
success
required
boolean
project
required
object
id
required
string
slug
required
string
name
required
string
color
required
string
organizationId
required
string
externalId
string | null
kind
string
extractionPurpose
string | null
extractionInclude
Array<string>
extractionSkip
Array<string>
extractionGuidanceRevision
integer
entityMergeMode
string
createdAt
string
updatedAt
string
Example
{ "project": { "kind": "shared", "entityMergeMode": "auto" }}Invalid request body
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Unauthorized - no active session
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Forbidden - insufficient permissions
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Conflict - project slug already exists
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Internal server error
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}